Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4896 - when booting smp redhat 6 clock is misread & set incorrectly
Summary: when booting smp redhat 6 clock is misread & set incorrectly
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-03 21:14 UTC by ian
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-04-22 06:19:54 UTC


Attachments (Terms of Use)

Description ian 1999-09-03 21:14:46 UTC
System clock is set using bios.

When system is booted using smp kernel in Redhat 6, clock is
incorrectly read and set to wrong time.

Hardware Abit bp6 board.  Not using 66 disks, ata video,
cdrom(atapi)

Comment 1 Doug Ledford 2000-04-22 06:19:59 UTC
This sounds like the system is configured to expect the system clock to be saved
in GMT time instead of local time and upon bootup the system date is being set
to the time in the BIOS +- the offset of your local time zone.  You can check
this by looking into the file /etc/sysconfig/clock and see if UTC is set to
false or true.  If true, then the system does indeed expect the system BIOS
clock to be set according the GMT, not local time.


Note You need to log in before you can comment on or make changes to this bug.